Skip to main content

Get Single Position

Returns position information of a single symbol, response including estimated liquidation price.

HTTP Request

GET /api/v1/future/position/single-position

Request Parameters

ParameterTypeRequiredDescription
symbolstringYesTrading pair symbol (e.g., BTCUSDT)

Request Example

curl -X GET "https://open-api.bydoxe.com/api/v1/future/position/single-position?symbol=BTCUSDT" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataarraySingle position data
> marginCoinstringMargin coin (e.g., USDT)
> symbolstringTrading pair symbol
> holdSidestringPosition direction: "long" or "short"
> openDelegateSizestringAmount to be filled of the current order (base coin)
> marginSizestringMargin amount (margin coin)
> availablestringAvailable amount for positions (base currency)
> lockedstringFrozen amount in the position (base currency)
> totalstringTotal amount of all positions (available + locked)
> leveragestringLeverage multiplier
> achievedProfitsstringRealized PnL (excluding funding fee and transaction fee)
> openPriceAvgstringAverage entry price
> marginModestringMargin mode: "isolated" or "cross"
> unrealizedPLstringUnrealized profit and loss
> liquidationPricestringEstimated liquidation price (≤0 means low risk, no liquidation price)
> marginRatestringMargin rate
> keepMarginRatestringTiered maintenance margin rate
> markPricestringCurrent mark price
> breakEvenPricestringPosition breakeven price
> totalFeestringAccumulated funding fee during the position
> cTimenumberCreation time in milliseconds (Unix timestamp)
> uTimenumberLast updated time in milliseconds (Unix timestamp)

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1732000000000,
"data": [
{
"marginCoin": "USDT",
"symbol": "BTCUSDT",
"holdSide": "long",
"openDelegateSize": "0.05",
"marginSize": "4500.00",
"available": "0.45",
"locked": "0.05",
"total": "0.50",
"leverage": "10",
"achievedProfits": "25.50",
"openPriceAvg": "90000.00",
"marginMode": "isolated",
"unrealizedPL": "500.00",
"liquidationPrice": "81000.00",
"marginRate": "0.1082",
"keepMarginRate": "0.005",
"markPrice": "91000.00",
"breakEvenPrice": "90150.00",
"totalFee": "12.50",
"cTime": 1731900000000,
"uTime": 1732000000000
}
]
}

Error Codes

CodeMessage
40034symbol does not exist
50010Upstream response invalid